The following code filter all lines which are in the layer "0" and line weight is 0.35. But it does not. my selection set is empty.
Dim typVal(2) As TypedValue
typVal(0) = New TypedValue(DxfCode.Start, "LINE")
typVal(1) = New TypedValue(DxfCode.LayerName, layName)
typVal(2) = New TypedValue(DxfCode.LineWeight, Convert.ToInt16(0.35))
----------------------------------------------------------------------------------------------------------
Dim sf As SelectionFilter = New SelectionFilter(typVal)
Dim ss As SelectionSet = ed.SelectAll(sf).Value
I'm trying to select two specific types of blocks from a drawing so that I can create layouts for each one of the pairs of blocks in my drawing. Basically, one block is the outline of the piece of the drawing and the second contains information about the drawing. I would like to select all of the outline blocks and then create a selection to get the second block which is inside the bounds of the first block.
I'm not sure how to create a set of typed values to do this. Here is my code so far which sets up a filter to get the first block and then for each of the blocks that it finds, it would select the block with all of the information which is where I am having problems. I don't know how to create a filter based upon location of the block.
using (Transaction tr = acCurDb.TransactionManager.StartTransaction()) { filList = new TypedValue[] { new TypedValue((int)DxfCode.Operator,"<and"), new TypedValue((int)DxfCode.Start,"INSERT"), new TypedValue((int)DxfCode.BlockName,"D-1*"), new TypedValue((int)DxfCode.Operator,"and>")}; // Build a filter list so that only block references are selected filter = new SelectionFilter(filList); //Select all res = [code]........
I'm using a typed value list to create a selection filter to use with Editor.SelectAll(filter) method. The selection returns both frozen & un-frozen entities. Is there a way to filter out frozen objects using the filter?
I'm trying to use a Selection Filter on Block Reference XData value. But I get no hits, it works fine with Lines and Polylines that has the same kind of XData.
Is it a bug or do I have to define my Selection Filter differently when working with Block Reference?
Here is a part of the code :
TypedValue[] flt = new TypedValue[] { new TypedValue(-4, " new TypedValue(-4, " new TypedValue(8, "POLYLINE_LAYER"), new TypedValue(1001, "Object_Id"), new TypedValue(1000, "166448"), new TypedValue(-4, "AND>"), [code].......
I'm putting together some quick function that I can send 2 arguments and get from it the total area of a given hatch on the given layer. I think everything is in order but I'm having trouble with the selection set filter:
(DEFUN GET-HATCH-AREA (HATCH LAYR / area sset) (COND((AND(ssget "X" '((0 . "HATCH") (2 . HATCH) (8 . LAYR))) (SETQ area 0) (VLAX-FOR H (SETQ sset (VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT)))) (SETQ area (+ (VLA-GET-AREA h) area))) (ALERT(STRCAT "Total area = " (IF (OR (= (GETVAR "lunits") 3) (= (GETVAR "lunits") 4) ) (STRCAT (RTOS area 2) " sq. in. (" (RTOS (/ area 144) 2) " sq. ft.)") (RTOS area) ) ) ) (VLA-DELETE sset) ) ) ))
I converted a drawing in pdf format into dxf. I'm using Autocad 2012 to edit the file. The dxf conversion is good, but of course there is no difference between the diffent kind of lines.
I would like to select all lines which have an orientation of 30° with the horizontal and put them into a new layer. Is there a way to do that ? I though about using a filter.
Then I will edit the properties oh those lines (color, thickness, type....).
Any settings where you can switch on/off the selection filter popup? Mine is just gone. Under application options I don't see anything to do with switching it off.
I have a problem with selecting all references to a specific dynamic block. When I use the filter below only block “D2” is selected, which is not a dynamic block, Block "Bulb120227” which is a dyn block is not
Dim values() As TypedValue = { _ New TypedValue(0, "INSERT"), _ New TypedValue(-4, "<OR"), _ New TypedValue(2, "D2"), _ New TypedValue(2, "Bulb120227"), _ New TypedValue(-4, "OR>") _ }
How should the filter be done to filter out the dyn block that I want several block should be filtered out in one selection.If it is possible to achieve with just a filter at all?
I have determine that my AutoCad 2009 will allow me to drag/drop layers to an existing Group Layer Filter, but it will not allow me to right click on the Group Filter>Select Layers>Add. Once I go to the model space an select layers then "enter" no layers are added to the Filter Group and it gives me an error message that says "unable to modify layers while another command is active".
I was wondering how to develop a Selection Set Filter that will select only Cogo Points? I know I need to use Dxf.Start as the code, but then what's the string associated with Cogo Points? Can't find any documentation on this or any Civil 3D-unique entities...I know Line is just "Line" and "Arc" is just arc...but Polyline is the unintuitive "LWPolyline" and "Cogo Point" isn't working.
I have some strings like the ones below. They are always in the same format. The first line is Cold Water, the second is Hot Water and the third is Hot Water Return.
I want to build a selection set based on whether it is CW, HWS or HWR. Right now I have a routine to retrieve the string by using ENTSEL. In other words if I want to use the line of text for Cold Water I have to select it.
I'd like to be able to window them all and filter the SS for only the string containing CW and conversly HWS and HWR. SSGET function filter.
I use a lot of Group Layer Filters so I can turn things on/off quickly. My problem is I have been creating my Layer Filter Group by right clicking on the Layer Group Filter>going to Selection>then click Add> then go back to my drawing or Layout tab and select all of the layers I need then click enter. One day my AutoCad would not let me do that anymore, and even after I click on enter it gives me an error message saying the command is still active. Now from my Layer Properties Manager I can select any layer and drag/drop it into any filter and it works, but I really need to be able to select things within the model space or paper of each layout tabs.
When I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.
This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?
I have a flexible sub-assembly in my top assembly. Sometiems I'm trying to demonstrate to others how a mechanism in the sub-assembly works using this flexibility feature. It works great, but when I move just one little part of a flexible assembly, Inventor displays the wire-mesh of the entire flexible assembly, because technically the entire assembly is selected, even though I'm only moving one part. It clutters up the screen very badly, detracting from what I'm trying to show.
Is there a way to prevent Inventor from displaying the selection lines? Either only when I'm moving a part in a flexible assembly (which would be great), or to just turn them off completely when I'm presenting like this? I know I can turn off pre-select, but that doesn't work, because once I start moving a part in the flexible assembly, the assembly is "selected" and the wire-mesh displays.
When creating a selection Command using the PromptXXXOptions and PromptXXXResult. The entities are selected on the current view, but once the selection ends the entities return to an unselected state.
Is it possible to leave them in selection mode.
I want to this, because it will be better to use Editor.SelectImplied() instead of saving the last selection object Ids.
I've created a lisp that draws the boltholes of a pipe flanges, using the correct number of holes, at the correct diameter at the correct bolt-hole diameter and then rotates. Everything works seamlessly, when i do just one flange. But I've discovered that fewuently there will be mulitple times when a user will have to perform the command.
So the idea I had was to do the following:
Select all circles with (setq CirclesFirst (ssget "X" (list (cons 0 "CIRCLE"))))
Go through the code to create the new circles.
Select all circles with (setq Circles (ssget "X" (list (cons 0 "CIRCLE"))))
Remove selection set "CirclesFirst" from "Circles".
But what for some reason (command "_.select" Circles "R" CirclesFirst "") does not work.
I tried to use the lens flare filter in Photoshop CS6.While the lighting effect is interesting, it introduces ugly artifacts like blue or orange blobs (which are supposed to be the reflection of the diaphragm, but do not look anywhere close to that, but instead are just cheesy looking blobs of color).
In the "movie prime" setting blue lines are added which have nothing to do with lens flar.On top of it, the preview is about the size of a stamp. Any way to use the filter without getting these artifacts, or is it - what I assume - just a useless toy filter, that has probably been dragged on for years and years because it's always been there? What do you use to create a lens flare effect? Are you just building it from scratch with brush work?
I've deleted my PS preferences and restarted, and I cannot get this filter to do what is was just doing a day earlier. It doesn't matter what the foreground/background colors are, nor does it matter what the resolution of the file is. I've experimented with every variable. The filter effect changes the filled layer to a solid color of the current foreground color. No lines, dots or circles at all.
I'm trying to make lines in a filled layer, or a rasterized text layer.Adjusting the sliders has no effect at this point, but the other Gallery filters DO work, oddly enough.
I've used this filter effect many times over the years, and it just started acting wonky. This is PS CS6, on Mac OSX 10.8.5.It seems to be unpredictable or temperamental. Is there a reasonably-priced plugin that will create lines that are completely adjustable?
I have Photoshop CS4 running on a 8 gig Vista 64 bit system. When I click on Filters, there is no Extract Filter. I did a search prior to posting and saw some threads talking about not moving files, icons etc from their original folder. I am un sure if anything has been moved. However, when I click on Filters, they all seem to be there (at least not greyed out), EXCEPT for the Extract filter. Any help would be apprecited and if you let me know where the filters should reside I can make sure they are in the correct location.
I have been continually annoyed, when creating a vector mask-heavy document, with trying to select vector mask points by dragging a rectangle only to find that it instead selects a layer higher up which has a larger vector mask.
The only workaround is to manually select the points of my mask or to drag a rectangle from outside the canvas, meaning I have to zoom out or scroll to the edge - sometimes annoying if I am zoomed in quite far.
I know that the move tool can be set to automatically select a layer, depending on what part of the image is clicked, but why is there not an option to turn this off for vector editing?
If you look closely in the attached picture, there is a spot of light blue on the player's helmet, that looks like a mistake (think it should look like the grass behind it)...though it actually may be part of his helmet.
Regardless, I'd like to take it out. My idea was to select the blue with the quick selection tool, then bring that selection out to the grass, select the grass with that size/shape of selection, copy/paste and then bring the grass selection into the blue part so it looks like grass in what was the blue part.
The problem is I don't seem to be able to move the selection without taking the blue with it (so it's not an empty selection and therefore can't select a piece of the grass.)